PRv9mers {arrayQuality} | R Documentation

## Print Run Quality version 9mers

### Description

Qualitative diagnostic plots looking at print-run quality. This component examine the 9mers hybridizations.

### Usage

    PRv9mers(fnames, path = ".", dev = "png", DEBUG = FALSE, prargs = NULL, samepr = TRUE, prname = "xMm", save = TRUE, ...)

### Arguments

`fnames` | A "character" string naming the input files.
`path` | A "character" string representing the data directory. By default this is set to the current working directory (".").
`dev` | A "character" string naming the graphics device. This will take arguments "png", "jpeg" and "ps" only.
`DEBUG` | If 'TRUE', debug statements are printed.
`prargs` | A list with 4 components: Block, Row, Column and ncolumns. See Details for more information.
`samepr` | If 'TRUE', we assume everything in the directory are from the same print-run.
`prname` | A "character" string giving the name of the print-run.
`save` | If `TRUE', the figures will be saved to files.
`...` | additional arguments

### Details

The argument "prargs" is used to calculate the layout information about a print-run. Components Block, Row and Columns denote the column names from the input data representing the print-tip location. The component "ncolumns" is an integer representing the number of print-tip columns in the data. If the arguement is set to NULL, the the following default will be used. list(Block="Block", Row="Row", Column="Column", ncolumns=4)

### Value

Files of diagnostic plots and excel files containings probe IDs of problematic probes.

### Author(s)

Jean Yee Hwa Yang

### Examples

    datadir <- system.file("gprQCData", package="arrayQuality")
    if (interactive())
    PRv9mers(fnames="12Mm250.gpr", path=datadir, prname="12Mm")

[Package arrayQuality version 1.8.0 Index]